<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

// クイック編集フォームにnonceフィールドを追加
function haup_add_quick_edit_nonce() {
	wp_nonce_field( 'haup_quick_edit_nonce', '_haup_quick_edit_nonce' );
}
add_action( 'quick_edit_custom_box', 'haup_add_quick_edit_nonce' );

function haup_no_change_moddate_quick( $data, $postarr ) {
if ( isset( $_POST['action'] ) && $_POST['action'] == 'inline-save' ) {
// nonceの検証
	if ( !isset( $_POST['_haup_quick_edit_nonce'] ) || !wp_verify_nonce(sanitize_text_field( wp_unslash( $_POST['_haup_quick_edit_nonce'])), 'haup_quick_edit_nonce' ) ) {
		return $data; // nonceが検証に失敗した場合は何もしない
	}

	if ( $data['post_status'] == 'publish' ) {
		unset( $data['post_date'] );
		unset( $data['post_date_gmt'] );
		unset( $data['post_modified'] );
		unset( $data['post_modified_gmt'] );
	}
}
	return $data;
}
add_filter( 'wp_insert_post_data', 'haup_no_change_moddate_quick', 10, 2 );
